zones_to_keep = {
  "LostIsles"=>681, 
  "Wintergrasp"=>501, 
  "Ahn'kahet: The Old Kingdom"=>522, 
  "Utgarde Keep"=>523, 
  "Borean Tundra"=>486, 
  "Ebon Hold"=>502, 
  "Utgarde Pinnacle"=>524, 
  "Halls of Lightning"=>525, 
  "Ruins of Gilneas City"=>685, 
  "Wailing Caverns"=>749, 
  "Halls of Stone"=>526, 
  "Zul'Farrak"=>686, 
  "Onyxia's Lair"=>718, 
  "Maraudon"=>750, 
  "The Eye of Eternity"=>527, 
  "Sunken Temple"=>687, 
  "Dragonblight"=>488, 
  "The Oculus"=>528, 
  "Baradin Hold"=>752, 
  "Ulduar"=>529, 
  "Shadowmoon Valley"=>473, 
  "Blackrock Spire"=>721, 
  "Gundrak"=>530, 
  "Twin Peaks"=>626, 
  "Auchindoun: Auchenai Crypts"=>722, 
  "Blackwing Descent"=>754, 
  "The Obsidian Sanctum"=>531, 
  "Gnomeregan"=>691, 
  "Auchindoun: Sethekk Halls"=>723, 
  "Blackwing Lair"=>755, 
  "Vault of Archavon"=>532, 
  "Uldaman"=>692, 
  "Auchindoun: Shadow Labyrinth"=>724, 
  "Deadmines"=>756, 
  "Azjol-Nerub"=>533, 
  "Blade's Edge Mountains"=>475, 
  "Hellfire Citadel: The Blood Furnace"=>725, 
  "Drak'Tharon Keep"=>534, 
  "Naxxramas"=>535, 
  "Icecrown"=>492, 
  "Halls of Origination"=>759, 
  "Violet Hold"=>536, 
  "Molten Core"=>696, 
  "Coilfang: The Slave Pens"=>728, 
  "The Forge of Souls"=>601, 
  "Tempest Keep: The Botanica"=>729, 
  "Pit of Saron"=>602, 
  "Tempest Keep: The Mechanar"=>730, 
  "Scarlet Monastery"=>762, 
  "Gilneas"=>539, 
  "Halls of Reflection"=>603, 
  "Tempest Keep: The Arcatraz"=>731, 
  "Isle of Conquest"=>540, 
  "Icecrown Citadel"=>604, 
  "Twilight Highlands"=>700, 
  "Auchindoun: Mana-Tombs"=>732, 
  "Hrothgar's Landing"=>541, 
  "Kezan"=>605, 
  "Netherstorm"=>479, 
  "Trial of the Champion"=>542, 
  "Mount Hyjal"=>606, 
  "Uldum"=>720, 
  "Grim Batol"=>757, 
  "Trial of the Champion"=>543, 
  "Terokkar Forest"=>478, 
  "Zul'Drak"=>496, 
  "Throne of the Tides"=>767, 
  "The Lost Isles"=>544, 
  "Nagrand"=>477, 
  "Coilfang: The Steamvault"=>727, 
  "Blackrock Depths"=>704, 
  "The Battle for Gilneas"=>736, 
  "The Stonecore"=>768, 
  "The Storm Peaks"=>495, 
  "The Ruby Sanctum"=>609, 
  "Shattrath City"=>481, 
  "The Maelstrom"=>737, 
  "The Vortex Pinnacle"=>769, 
  "The Bastion of Twilight"=>758, 
  "Kelp'thar Forest"=>610, 
  "Stonetalon Mountains"=>81, 
  "Blackrock Caverns"=>753, 
  "Alterac Valley"=>401, 
  "Strand of the Ancients"=>512, 
  "Gilneas2"=>611, 
  "Outland"=>466, 
  "Eye of the Storm"=>482, 
  "Sholazar Basin"=>493, 
  "Northrend"=>485, 
  "Coilfang: The Underbog"=>726, 
  "Grizzly Hills"=>490, 
  "Crystalsong Forest"=>510, 
  "Tol Barad"=>708, 
  "Dalaran"=>504, 
  "Ahn'Qiraj: The Fallen Kingdom"=>772, 
  "The Nexus"=>520, 
  "Vashj'ir"=>613, 
  "The Battle for Gilneas (Old City Map)"=>677, 
  "Tol Barad Peninsula"=>709, 
  "Isle of Quel'Danas"=>499, 
  "Throne of the Four Winds"=>773, 
  "Abyssal Depths"=>614, 
  "Hellfire Peninsula"=>465, 
  "Hellfire Citadel: The Shattered Halls"=>710, 
  "Thunder Bluff"=>362, 
  "Deepholm"=>640, 
  "Lost City of the Tol'vir"=>747, 
  "Shimmering Expanse"=>615, 
  "Howling Fjord"=>491, 
  "Zangarmarsh"=>467,
}

require 'yaml'
data = Hash.new
data = YAML.load_file( ARGV[0] )

# Clean the data
zones_to_keep.each_pair do |k,v|
  if data.has_key?(v)
      puts "Keeping #{k} from the data"
  else
      data.delete v
  end
end


File.open("#{ARGV[0]}.clean",'w') do |out|
  YAML.dump(data,out )
end
#  fish_sv_file = File.new("FishData.lua", modestring="w")
#  fish_sv_file << "GatherMateData2FishDB = "
#  fish_sv_file << fishes.to_lua
#  fish_sv_file.close